2

I am trying to build QGIS from source on x64 Windows machine.

QGIS: qgis2.99.0 VS: 2015

I downloaded latest cygwin, OSGeo4W etc. Now, CMake gives an error:

Looking for gaiaStatisticsInvalidate in C:/OSGeo4W64/lib/spatialite_i.lib - not found
CMake Error at cmake/FindSpatiaLite.cmake:75 (MESSAGE):
  Found SpatiaLite, but version is too old.  Requires at least version 4.2.0
Call Stack (most recent call first):
  CMakeLists.txt:251 (FIND_PACKAGE)

spatialite_i.lib ( I checked, rechecked and reinstalled couple of times ) is 4.3.0. If I remove spatialite check from cmake, I can create VS project, but then it gives errors on Link stage.

1

Where configuring with CMake, I choose wrong option. Since everything is x64, in "Specify the generator for this project" I needed to choose

"Visual Studio 14 2015 Win64" instead of just "Visual Studio 14 2015". Now all compiles fine.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.